Mailinglist Archive: yast-devel (48 mails)

< Previous Next >
Re: [yast-devel] SLE-15-SP1 branch created - versioning summary

On 27/3/19 15:27, Ladislav Slezak wrote:
Dne 26. 03. 19 v 21:28 Ladislav Slezak napsal(a):

Hi all,

the SLE-15-SP1 branch has been created for yast, libyui and libstorage-ng.
For
submitting the SP1 fixes use this new branch.

Just a reminder about versioning:

- If you add a new SP2 only change to master:
if the package is still at version 4.1.x then bump the version to 4.2.0
if it already is at 4.2.x then use the 4.2.x+1 version (usual "rake
version:bump")

- When adding an SP1 fix to the SLE-15-SP1 branch use the 4.1.x+1 version.

- When merging an SP1 fix to master (SP2):
if the master is still at 4.1.x (no merge conflicts) then keep the SP1
version
if the master is already at 4.2.x then use 4.2.x+1


Thanks!



HTH


--
David Díaz González
YaST Team at SUSE Linux GmbH


< Previous Next >